# Updating an existing Skill

This endpoint returns structured Skill objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the skills top-level JSON key.
Please see our Response Format section for more information.

Endpoint: PUT /skills/{id}
Version: 1.0.0

## Path parameters:

  - `id` (integer, required)
    The ID of the Model.

## Query parameters:

  - `include` (string)
    Any of the below associations can be included in your request by providing the include param, e.g. include=association1,association2.
- external_references (ExternalReference) - Includes references to external integrations for this object.
- skill_category (SkillCategory) - The Skill Category under which the Skill is grouped.

## Request fields (application/json):

  - `skill` (object)

  - `skill.name` (string)
    The name of the skill to be created.

  - `skill.max_level` (string)
    The max number of levels allowed for the skill and must be either 1 or 5.

  - `skill.skill_category_id` (integer)
    The id of the skill category associated with this skill.

  - `skill.description` (string)
    The description of the skill.

  - `skill.external_reference` (object)
    Typically populated programmatically by a third party system via an integration, this is an optional
object that holds data from an external system. It connects objects in an external system with objects in
Kantata OX (for example, to connect a Jira issue to a Kantata OX Project).

  - `skill.external_reference.service_name` (string, required)
    The provider name of the integration. If you are adding multiple external references to the same object, the service_name must be unique.

  - `skill.external_reference.service_model` (string, required)
    The object type of the external object this external reference belongs to.

  - `skill.external_reference.service_model_ref` (string, required)
    The object ID of the external object this external reference belongs to.

  - `skill.external_reference.status` (string)
    The status of the integration. Options are successful, pending,  or failed.

  - `skill.external_reference.external_message` (string)
    The message on the external object.

  - `skill.external_reference.external_link` (string)
    The link to the external object.

  - `skill.external_reference.external_status` (string)
    The status of the external object in the external system.

  - `skill.external_reference.locked` (boolean)
    Whether the subject is locked.

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

  - `skills` (object)

  - `external_references` (object)

  - `skill_categories` (object)

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)


